Subject: Re: [gaia] draft-irtf-gaia-alternative-network-deployments. Vesna review, question #7. Section 5.4

From: "Jose Saldana" <[email-masked]>
Date: Wed, 13 Apr 2016 12:53:26 +0200

Hi,

> > 5.4.  Crowdshared approaches,
> 
> (remove from the title)
> led by the users and third party       stakeholders
> (/remove)

I would not change the title of one of the categories at this stage. It is also a matter of style.

> 
> >
> >    +----------------+--------------------------------------------------+
> >    | Commercial     | community, public stakeholders, private          |
> >    | model/promoter | companies, supporters of a crowdshared approach  |
> >    +----------------+--------------------------------------------------+
> 
> ...ownership model
Discussed before.

> 
> >    | Goals and      | sharing connectivity and resources               |
> >    | motivation     |                                                  |
> >    +----------------+--------------------------------------------------+
> >    | Administration | Non-centralized                                  |
> >    +----------------+--------------------------------------------------+
> >    | Technologies   | Wi-Fi [IEEE.802-11-2012]                         |
> >    +----------------+--------------------------------------------------+
> >    | Typical        | urban and rural                                  |
> >    | scenarios      |                                                  |
> >    +----------------+--------------------------------------------------+
> >
> >           Table 4: Crowdshared approaches characteristics summary
> >
> 
> I find lots of problems with this category, because of the mixing of the two
> approaches: commercial companies who use "pseudo-sharing" to achieve their
> commercial goals, *and* actual non-centralized sharing by users.
> 
> First group is NOT "non-centralized"; companies like FON, KPN (Holland),
> Comcast (USA), SBB (Serbia) have their centralized infrastructure, and users
> can not influence the "sharing" or use of their equipment.
> 
> Often, if these users do not like the "mandatory sharing", they can not even
> "vote with their wallet" (again neo-liberal, free market terminology ;-) ,
> because sometimes those providers have a monopoly (or duopoly) and are the only
> provider in that area...
> 
> >    These networks can be defined as a set of nodes whose owners share
> >    common interests (e.g. sharing connectivity; resources; peripherals)
> >    regardless of their physical location.  They conform to the following
> >    approach: the home router creates two wireless networks: one of them
> >    is normally used by the owner,
> 
> Often, the equipment is NOT owned by users, but "given" (sold, leased) to them
> by the commercial ISP.
> 
> > and the other one is public.  A small
> >    fraction of the bandwidth is allocated to the public network, to be
> >    employed by any user of the service in the immediate area.  Some
> >    examples are described in [PAWS] and [Sathiaseelan_c].  Other
> >    examples are found in the networks created and managed by City
> >    Councils (e.g., [Heer]).  The "openwireless movement"
> >    (https://openwireless.org/) also promotes the sharing of private
> >    wireless networks.
> >
> >    In the same way, some companies [Fon] promote the use of Wi-Fi
> >    routers with dual access: a Wi-Fi network for the user, and a shared
> >    one.
> 
> But it's not really "shared", since only the *customers* of the same
> _commercial ISP_ can "share" with each other.

In FON, a number of operators are associated, so you can connect to APs of people subscribed to other operator's network:
https://fon.com/wifi-solutions/

> 
> >  A user community is created, and people can join the network in
> >    different ways: they can buy a router, so they share their connection
> >    and in turn they get access to all the routers associated with the
> >    community.
> 
> This is not a true community, it's the commercial customers of the commercial
> provider.
I have substituted the term "community" by " Adequate AAA policies are implemented, so people can join the network in different ways".

> 
> ...
> 
> >    VNOs pay the sharers and the network operators, thus creating an
> >    incentive structure for all the actors: the end users get money for
> >    sharing their network, the network operators are paid by the VNOs,
> >    who in turn accomplish their socio-environmental role.
> 
> Again, I think that this category should be split between "providers" that
> offer this as a part of their commercial business model; and the "movement" in
> which the users themselves are organised in another way, and are truly sharing
> the resources.
> 

As a summary, I would say:

The two sub-categories have 
- something in common (the user shares part of his/her bandwidth, two SSIDs are created by the AP, etc.) 
- and some differences (one is "coummunity", and the other is organized by companies.

So as long as they have something in common, they can be grouped together. I have tried to set the differences more clear in the new version of the text, using different paragraphs:

   These networks can be defined as a set of nodes whose owners share
   common interests (e.g. sharing connectivity; resources; peripherals)
   regardless of their physical location.  They conform to the following
   approach: the home router creates two wireless networks: one of them
   is normally used by the owner, and the other one is public.  A small
   fraction of the bandwidth is allocated to the public network, to be
   employed by any user of the service in the immediate area.  Some
   examples are described in [PAWS] and [Sathiaseelan_c].  Other
   examples are found in the networks created and managed by City
   Councils (e.g., [Heer]).  The "openwireless movement"
   (https://openwireless.org/) also promotes the sharing of private
   wireless networks.

   Some companies [Fon] also promote the use of Wi-Fi routers with dual
   access: a Wi-Fi network for the user, and a shared one.  Adequate AAA
   policies are implemented, so people can join the network in different
   ways: they can buy a router, so they share their connection and in
   turn they get access to all the routers associated with the
   community.  Some users can even get some revenue every time another
   user connects to their Wi-Fi access point.  Users that are not part
   of the community can buy passes in order to use the network.  Some
   mainstream telecommunications operators collaborate with these
   communities, by including the functionality required to create the
   two access networks in their routers.  Some of these efforts are
   surveyed in [Shi].

Best regards,

Jose